Package org.apache.sling.scripting.sightly.impl.plugin

## Class PluginCallInfo

- java.lang.Object
- - org.apache.sling.scripting.sightly.impl.plugin.PluginCallInfo

    public class PluginCallInfo
    extends Object

Data related to a plugin call

### Constructor Summary

Constructors
`PluginCallInfo​(String name, String[] arguments)`

### Method Summary

All Methods Instance Methods Concrete Methods
`String[]` `getArguments()` Get the plugin arguments
`String` `getName()` Get the name of the called plugin

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PluginCallInfo

    public PluginCallInfo​(String name,
                          String[] arguments)

### Method Detail

#### getName

    public String getName()

Get the name of the called plugin

Returns:
  a string with the name of the called plugin

#### getArguments

    public String[] getArguments()

Get the plugin arguments

Returns:
  a possibly empty array of args